## org.codehaus.plexus.collections
Interface ProtoCollection

All Known Implementing Classes:
  DefaultProtoCollection

    public interface ProtoCollection

Represents an undifferentiated ActiveCollection instance, with the same configuration (role). This is another workaround for applications that use plexus-container-default versions less than 1.0-alpha-22, since this proto-collection can be injected without causing conflict with the existing collection-detection code in the container. Dependent components can then call getActiveMap|List|Set and retrieve the instance, which has been preconfigured.

Author:
  jdcasey

Field Summary
`static java.lang.String` `ROLE`

Method Summary
`ActiveList` `getActiveList()` Retrieve an `ActiveList` instance that contains components matching the role given by `getCollectedRole()`.
`ActiveMap` `getActiveMap()` Retrieve an `ActiveMap` instance that contains components matching the role given by `getCollectedRole()`.
`ActiveSet` `getActiveSet()` Retrieve an `ActiveSet` instance that contains components matching the role given by `getCollectedRole()`.
`java.lang.String` `getCollectedRole()` Retrieve the role of components to be collected by any of the active collections created here.

Field Detail

### ROLE

    static final java.lang.String ROLE

Method Detail

### getCollectedRole

    java.lang.String getCollectedRole()

  Retrieve the role of components to be collected by any of the active collections created here.

### getActiveMap

    ActiveMap getActiveMap()

  Retrieve an `ActiveMap` instance that contains components matching the role given by `getCollectedRole()`.

### getActiveList

    ActiveList getActiveList()

  Retrieve an `ActiveList` instance that contains components matching the role given by `getCollectedRole()`.

### getActiveSet

    ActiveSet getActiveSet()

  Retrieve an `ActiveSet` instance that contains components matching the role given by `getCollectedRole()`.

Copyright © 2011. All Rights Reserved.